﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;

/// <summary>
/// Our settings helper
/// </summary>
public static class SettingsHelper
{
	static SettingsHelper()
	{
	}

	public static int SessionTimeOut 
	{
		get
		{
			return (ConfigurationManager.AppSettings["sessionTimeOut"] != null) 
				? int.Parse(ConfigurationManager.AppSettings["sessionTimeOut"].ToString()) 
				: 3600;
		}
	}

	public static string SessionCookieDomain
	{
		get
		{
			return (ConfigurationManager.AppSettings["sessionCookieDomain"] != null)
				? ConfigurationManager.AppSettings["sessionCookieDomain"].ToString()
				: "localhost";
		}
	}
}