﻿Imports System
Imports System.Collections.Generic
Imports System.Data.SqlClient
Imports System.Linq
Imports System.Web

Imports Microsoft.Practices.EnterpriseLibrary.Common
Imports Microsoft.Practices.EnterpriseLibrary.Data

''' <summary> 
''' Our data helper class 
''' </summary> 
Public Module DataHelper

    Sub New()

    End Sub

    Public Function AddClientSession(ByVal sessionTimeOut As Integer) As String
        Dim sessionGuid As String = Guid.NewGuid().ToString()

        Dim db As Database = DatabaseFactory.CreateDatabase()

        Try
            db.ExecuteNonQuery("dbo.up_AddClientSession", sessionGuid, Nothing, sessionTimeOut)
        Catch e As SqlException
            sessionGuid = ""
            'todo: log the exception somewhere 
        End Try

        Return sessionGuid
    End Function

    Public Function UpdateClientSession(ByVal sessionGuid As String) As Integer
        Dim db As Database = DatabaseFactory.CreateDatabase()
        Dim result As Integer = 0

        Try
            result = db.ExecuteNonQuery("dbo.up_UpdateClientSession", sessionGuid)
        Catch e As SqlException
            'todo: log the exception somewhere 
        End Try

        Return result
    End Function

    Public Function ValidateClient(ByVal login As String, ByVal password As String) As Boolean
        Dim db As Database = DatabaseFactory.CreateDatabase()
        Dim result As Object = Nothing

        Try
            result = db.ExecuteScalar("dbo.up_ValidateClient", login, password)
        Catch e As SqlException
            'todo: log the exception somewhere 
        End Try

        Return (result IsNot Nothing)
    End Function
End Module