﻿Imports System
Imports System.Collections.Generic
Imports System.Configuration
Imports System.Linq
Imports System.Web

''' <summary> 
''' Our settings helper 
''' </summary> 
Public Module SettingsHelper

    Sub New()
    End Sub

    Public ReadOnly Property SessionTimeOut() As Integer
        Get
            Return If((ConfigurationManager.AppSettings("sessionTimeOut") IsNot Nothing), Integer.Parse(ConfigurationManager.AppSettings("sessionTimeOut").ToString()), 3600)
        End Get
    End Property

    Public ReadOnly Property SessionCookieDomain() As String
        Get
            Return If((ConfigurationManager.AppSettings("sessionCookieDomain") IsNot Nothing), ConfigurationManager.AppSettings("sessionCookieDomain").ToString(), "localhost")
        End Get
    End Property
End Module